      subroutine TABC
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'INPAR.INC'
      include 'LOCAL1.INC'
      include 'LOCAL2.INC'
      real OUT1(NCON), OUT2(NCON), OUT3(NCON), OUT4(6)
      integer LOC1(NCON), LOC2(NCON), NFIRST, NLAST, IMBED
      logical MEAN
      character KOUT*2, NMON*4, TAG*2
      common/TABLES/ OUT1, OUT2, OUT3, OUT4
     &, LOC1, LOC2, NFIRST, NLAST, MEAN
      common /TABLE2/ KOUT, NMON, TAG
      integer EOF,INUNIT,III,IV,VRAIL
      integer I, IPAGE, IPASS, ITEST, J, K, KNT, NUMBLK
      character CCHAR(2)*1, REQFMT*34
      data REQFMT /'(1X,''Enter Yes, No, or Quit-> ''  )'/
      data CCHAR/'1','0'/
5000  format (A1,'Exposure Analysis Modeling System -- EXAMS Version ', 
     &   F4.2,', Mode',I2/' Ecosystem: ',50A1)
5010  format (1X,63('-'))
      III = VRAIL(ECONAM)
      if (BATCH.eq.0) then
         write (RPTLUN(MACHNO),5000) CCHAR(BATCH+1),VERSN,MODEG,(ECONAM(
     &      IV),IV=1,III)
      endif
      write (RPTLUN(MACHNO),5010)
      write (RPTLUN(MACHNO),5020)
5020  format (' Table 9.  Input specifications -- advective',' transport
     & field.')
      write (RPTLUN(MACHNO),5010)
      do 100 I = 1, NCON
         LOC1(I) = 0
         LOC2(I) = 0
         OUT1(I) = 0.0
100   continue
      KNT = 0
      do 110 I = 1, NCON
         if (JFRADG(I).eq.0.and.ITOADG(I).eq.0) go to 110
         KNT = KNT+1
         LOC1(KNT) = JFRADG(I)
         LOC2(KNT) = ITOADG(I)
         OUT1(KNT) = ADVPRG(I)
110   continue
      if (KNT.le.0) go to 170
      do 120 I = 1, NCON
         JFRADG(I) = LOC1(I)
         ITOADG(I) = LOC2(I)
         ADVPRG(I) = OUT1(I)
120   continue
      NUMBLK = 5
      if (BATCH.gt.0) NUMBLK = 4
      J = KNT
      K = 1
      IPASS = 1
      IPAGE = 0
      if (KNT.gt.5) J = 5
130   continue
      write (RPTLUN(MACHNO),5040) (LOC1(I),I=K,J)
      write (RPTLUN(MACHNO),5050) (LOC2(I),I=K,J)
      write (RPTLUN(MACHNO),5060) (OUT1(I),I=K,J)
      if (BATCH.gt.0) write (RPTLUN(MACHNO),5030) (I,I=K,J)
      KNT = KNT-5
      if (KNT.le.0) go to 180
      IPASS = IPASS+1
      IPAGE = IPAGE+1
      if (IPAGE.ne.NUMBLK) go to 160
      if (BATCH.eq.0) go to 150
140   continue
      write (TTYOUT(MACHNO),5080)
      REQFMT(32:33) = CRSTOP(MACHNO)
      write (TTYOUT(MACHNO),REQFMT)
      INUNIT = TTYIN(MACHNO)
      call INREC (EOF,INUNIT,INPUT)
      START = IMBED(INPUT,0)
      if (START.eq.-999) goto 150
      if (INPUT(START:START).eq.'Q'.or.INPUT(START:START).eq.'q'.or.
     &   INPUT(START:START).eq.'N'.or.INPUT(START:START).eq.'n')
     &    go to 190
      if (INPUT(START:START).eq.'Y'.or.INPUT(START:START).eq.'y') go to
     &   150
      write (TTYOUT(MACHNO),5090)
      go to 140
150   continue
      write (RPTLUN(MACHNO),5000) CCHAR(BATCH+1),VERSN,MODEG,(ECONAM(IV)
     &   ,IV=1,III)
      write (RPTLUN(MACHNO),5010)
      write (RPTLUN(MACHNO),5020)
      IPAGE = 0
160   continue
      K = 5*IPASS-4
      J = J+KNT
      ITEST = IPASS*5
      if (J.gt.ITEST) J = ITEST
      go to 130
5030  format ('  Path No.:',5(3X,I3,4X))
5040  format (/' J FR AD   ',5(3X,I3,4X))
5050  format (' I TO AD   ',5(3X,I3,4X))
5060  format (' ADV PR    ',1PG10.3,4G10.3)
170   continue
      if (BATCH.eq.0) then
         write (RPTLUN(MACHNO),5070)
5070     format (1X,'No advective transport field specified.')
      else
         write (RPTLUN(MACHNO),5040)
         write (RPTLUN(MACHNO),5050)
         write (RPTLUN(MACHNO),5060)
         write (RPTLUN(MACHNO),5030)
      endif
180   continue
      write (RPTLUN(MACHNO),5010)
5080  format (/1X,'Do you want to see additional specifications?')
5090  format (/1X,'Response was uninterpretable.')
190   continue
      return
      end
